<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="numberToDisplay"/>
<c:if test="${!empty manufacturers and !manufacturers['empty']}">
	<div class="miniManufacturers panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><bean:message key="product.manufacturerHeader" bundle="/product"/></h3>
		</div>
		<div class="list-group">
			<c:forEach var="manufacturer" items="${manufacturers}" begin="0" end="${numberToDisplay}">
				<c:if test="${manufacturer.isActive}">
					<ssc:link href="${customerURL}/Manufacturer.do?code=${manufacturer.code}" styleId="miniManufacturer-${manufacturer.code}" styleClass="list-group-item clearfix">
						<c:if test="${!empty manufacturer.smallImage}">
							<c:set var="imageURL" value="${manufacturer.smallImage}"/>
							<% if (!request.isSecure() || !((String) pageContext.getAttribute("imageURL")).startsWith("http://")) { %>
								<img class="img-responsive" src="${manufacturer.smallImage}"<c:if test="${!empty manufacturer.name}"> title="${manufacturer.name}" alt="${manufacturer.name}"</c:if>/>
							<% } %>
						</c:if>
						<c:out value="${manufacturer.name}" escapeXml="false"/>
					</ssc:link>
				</c:if>
			</c:forEach>
			<ssc:link action="/Manufacturers" styleClass="list-group-item viewAllLink">
				<bean:message key="manufacturer.allManufacturers" bundle="/product"/>
			</ssc:link>
		</div>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
