package com.softslate.commerce.businessobjects.email;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObject;

public interface TemplateProcessor extends BusinessObject {

	abstract Map loadTemplatesAndCount(Map parameters) throws Exception;

	abstract Map addTemplate(Map parameters) throws Exception;

	abstract Template loadTemplateFromID(Map parameters)
			throws Exception;

	abstract Map editTemplate(Map parameters) throws Exception;

	abstract void editDeleteTemplates(Map parameters) throws Exception;

	abstract void deleteTemplate(Map parameters) throws Exception;
	
	abstract Collection<Template> loadAllTemplates() throws Exception;

	abstract Template loadTemplateFromCode(String code) throws Exception;
}
