package com.softslate.commerce.businessobjects.shipping;

import java.util.Collection;

/**
 * Java bean to encapsulate returned HashMap of shipping options and their rates.
 * 
 * @author AJain
 */
public class ShippingOptionsAndRates 
{
    
    private String code= null; 
    private Double originalPriceDouble= null;
    private String originalPrice=  null;
    private String price= null;
    private Collection discounts= null;
    private String processorName= null;
    private String currencyCode= null;
    private String processorClass=  null;
    private Double priceDouble= null;
    private String name= null;
    
    
    public boolean equals(Object obj)
    {
	if (null != obj
	 && obj instanceof ShippingOptionsAndRates
	 && this.code.equals(((ShippingOptionsAndRates)obj).getCode())
	)
	   return true;
	
	return false;
    }
    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }
    /**
     * @param code the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }
    /**
     * @return the currencyCode
     */
    public String getCurrencyCode() {
        return currencyCode;
    }
    /**
     * @param currencyCode the currencyCode to set
     */
    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }
    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return the originalPrice
     */
    public String getOriginalPrice() {
        return originalPrice;
    }
    /**
     * @param originalPrice the originalPrice to set
     */
    public void setOriginalPrice(String originalPrice) {
        this.originalPrice = originalPrice;
    }
    /**
     * @return the originalPriceDouble
     */
    public Double getOriginalPriceDouble() {
        return originalPriceDouble;
    }
    /**
     * @param originalPriceDouble the originalPriceDouble to set
     */
    public void setOriginalPriceDouble(Double originalPriceDouble) {
        this.originalPriceDouble = originalPriceDouble;
    }
    /**
     * @return the price
     */
    public String getPrice() {
        return price;
    }
    /**
     * @param price the price to set
     */
    public void setPrice(String price) {
        this.price = price;
    }
    /**
     * @return the priceDouble
     */
    public Double getPriceDouble() {
        return priceDouble;
    }
    /**
     * @param priceDouble the priceDouble to set
     */
    public void setPriceDouble(Double priceDouble) {
        this.priceDouble = priceDouble;
    }
    /**
     * @return the processorClass
     */
    public String getProcessorClass() {
        return processorClass;
    }
    /**
     * @param processorClass the processorClass to set
     */
    public void setProcessorClass(String processorClass) {
        this.processorClass = processorClass;
    }
    /**
     * @return the processorName
     */
    public String getProcessorName() {
        return processorName;
    }
    /**
     * @param processorName the processorName to set
     */
    public void setProcessorName(String processorName) {
        this.processorName = processorName;
    }
    /**
     * @return the discounts
     */
    public Collection getDiscounts() {
        return discounts;
    }
    /**
     * @param discounts the discounts to set
     */
    public void setDiscounts(Collection discounts) {
        this.discounts = discounts;
    }

}
