<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start ProductReviewColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'productReviewID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
          			<c:choose>
						<c:when test="${field eq 'status'}">
							 <html:select name="item" property="status">
							 <option value="0" class="genericGridData" <c:if test="${item[field] eq 0}"> selected</c:if>>Not Approved</option>
							 <option value="1" class="genericGridData" <c:if test="${item[field] eq 1}"> selected</c:if>>Approved</option>
							 </html:select>
						</c:when>	
           				<c:when test="${field eq 'state'}">
							<html:select name="item" property="state">
								<option value="">Select</option>
								<option value="">-------------</option>
								<html:options collection="states" property="code" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'country'}">
							<html:select name="item" property="country">
								<option value="">Select</option>
								<option value="">-------------</option>
								<html:options collection="countries" property="code" labelProperty="name"/>
							</html:select>
						</c:when>
            			<c:when test="${field eq 'review'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>              
						<c:when test="${field eq 'status'}">
							 <input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />						 
							 <c:if test="${item[field] eq 0}">Not Approved</c:if>
							 <c:if test="${item[field] eq 1}">Approved</c:if>
						</c:when>              
		            <c:otherwise>
		              <input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
		            </c:otherwise>
		          </c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'status'}">
							 <input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />						 
							 <c:if test="${item[field] eq 0}">Not Approved</c:if>
							 <c:if test="${item[field] eq 1}">Approved</c:if>
						</c:when> 
						<c:otherwise>
					    <input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
              				<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End ProductReviewColumns.jsp -->
