UPDATE sscSetting SET smallValue='2.0.6' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetLoginID','Authorize.net Login ID','The user name or login id used to log into the Authorize.net account.','authorizeNet', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTxKey','Authorize.net Transaction Key','The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).','authorizeNet', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetURL','Authorize.net URL','The URL to the Authorize.net payment gateway.','authorizeNet', 'mediumValue', NULL,NULL,'https://test.authorize.net/gateway/transact.dll',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTxType','Transaction Type','The type of transaction for Authorize.net to perform with each order.','authorizeNet', 'smallValue', NULL,'AUTH_CAPTURE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTestRequest','Test Mode?','If true, transactions will be sent to Authorize.net as test requests.','authorizeNet', 'integerValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetDupeTxTimeout','Duplicate Transaction Timeout','Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.','authorizeNet', 'integerValue', 15,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEmailCustomer','Email Customer?','If true, Authorize.net will email the customer confirmation of the payment.','authorizeNet', 'integerValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEmailMerchant','Merchant Email Address','Email address to which the merchant copy of the customer confirmation email should be sent.','authorizeNet', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCustomerID','Customer ID','The customer ID sent to Authorize.net.','authorizeNet', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetInvoiceNum','Invoice Number','The invoice number sent to Authorize.net.','authorizeNet', 'smallValue', NULL,'%%ORDER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetPONumber','PO Number','The purchase order number sent to Authorize.net.','authorizeNet', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetDescription','Transaction Description','A description of the transaction sent to Authorize.net.','authorizeNet', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');
