<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
	<logic:match name="settings" property="value(navBarLinks)" value="home">
		<c:set var="styleClass" value="" />
		<c:if test="${requestScope.isWelcomePage}">
			<c:set var="styleClass" value="active" />
		</c:if>
		<li class="${styleClass}"><ssc:link href="${customerURL}/Welcome.do" styleId="welcomeLink">
			<span class="glyphicon glyphicon-home"></span> <bean:message key="page.welcome" />
		</ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="products">
		<c:set var="styleClass" value="" />
		<c:if test="${pageTitleKey eq 'page.productList'}">
			<c:set var="styleClass" value="active" />
		</c:if>
		<li class="${styleClass}"><ssc:link href="${customerURL}/ProductList.do" styleId="productListLink">
			<span><bean:message key="page.productList" /></span>
		</ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="manufacturers">
		<c:set var="styleClass" value="" />
		<c:if test="${pageTitleKey eq 'page.manufacturers'}">
			<c:set var="styleClass" value="active" />
		</c:if>
		<li class="${styleClass}"><ssc:link href="${customerURL}/Manufacturers.do" styleId="manufacturersLink">
			<span><bean:message key="page.manufacturers" /></span>
		</ssc:link></li>
	</logic:match>
	<c:if test="${!empty headerCategoriesAndPages}">
		<logic:iterate name="headerCategoriesAndPages" id="category">
			<c:if test="${category.isActive}">
				<c:set var="linkAction" value="Category.do" />
				<c:if test="${category.isContentPage}">
					<c:set var="linkAction" value="Content.do" />
				</c:if>
				<c:set var="styleClass" value="" />
				<c:if test="${pageTitleKey eq 'page.category' and currentCategory.code eq category.code}">
					<c:set var="styleClass" value="active" />
				</c:if>
				<li class="${styleClass}"><ssc:link href="${customerURL}/${linkAction}" styleId="${category.code}Link" paramId="code" paramName="category" paramProperty="code">
					<span><c:out value="${category.name}" escapeXml="false" /></span>
				</ssc:link></li>
			</c:if>
		</logic:iterate>
	</c:if>
	<logic:match name="settings" property="value(navBarLinks)" value="search">
		<c:set var="styleClass" value="" />
		<c:if test="${pageTitleKey eq 'page.search'}">
			<c:set var="styleClass" value="active" />
		</c:if>
		<li class="${styleClass}"><ssc:link href="${customerURL}/SearchForm.do" styleId="searchLink">
			<span><bean:message key="page.search" /></span>
		</ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="about">
		<c:set var="styleClass" value="" />
		<c:if test="${pageTitleKey eq 'page.about'}">
			<c:set var="styleClass" value="active" />
		</c:if>
		<li class="${styleClass}"><ssc:link href="${customerURL}/aboutPage.do" styleId="aboutLink">
			<span><bean:message key="page.about" /></span>
		</ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="contact">
		<c:set var="styleClass" value="" />
		<c:if test="${pageTitleKey eq 'page.contact'}">
			<c:set var="styleClass" value="active" />
		</c:if>
		<li class="${styleClass}"><ssc:link href="${customerURL}/Contact.do" styleId="contactLink">
			<span><bean:message key="page.contact" /></span>
		</ssc:link></li>
	</logic:match>
<!-- End ${pageScope.sscCurrentPage} -->