<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<meta charset="${empty settings.map.characterEncoding ? 'utf-8' : settings.map.characterEncoding}">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>${htmlHeadTitle}</title>
<meta name="keywords" content="${htmlHeadKeywords}"/>
<meta name="description" content="${htmlHeadDescription}"/>
<c:set var="theme" value="css"/>
<c:if test="${!empty settings.map.html5CssTheme}"><c:set var="theme" value="${settings.map.html5CssTheme}"/></c:if>
<link rel="stylesheet" href="${pageContext.request.contextPath}/css/base-html5/${theme}/bootstrap.min.css" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/css/base-html5/base.css" />
<!--[if lt IE 9]><script src="components/html5shiv/html5shiv.js"></script><![endif]-->
<style>
	/* Key styles, which may be set from settings in the admin area */
	<c:if test="${!empty settings.map.fontFamily}">body { font-family: ${settings.map.fontFamily}; }</c:if>
	<c:if test="${!empty settings.map.fontSize}">body { font-size: ${settings.map.fontSize}; }</c:if>
	<c:if test="${settings.map.heightOfEachFacetInWidget > '0'}">ul.facetList>li { max-height: ${settings.map.heightOfEachFacetInWidget}px; overflow-y: auto !important;}</c:if>
</style>
<link rel="stylesheet" href="${pageContext.request.contextPath}/css/custom/custom.css" />
<link rel="stylesheet" media="print" href="${pageContext.request.contextPath}/css/base-html5/print.css" />
<ssc:loadscript name="jquery"><script type="text/javascript" src="${pageContext.request.contextPath}/js/jquery/jquery.js"></script></ssc:loadscript>
<ssc:loadscript name="yahoo-dom-event"><script type="text/javascript" src="${pageContext.request.contextPath}/js/yui/yahoo-dom-event/yahoo-dom-event.js"></script></ssc:loadscript>
<ssc:loadscript name="bootstrap-min"><script src="${pageContext.request.contextPath}/js/vendor/bootstrap.min.js"></script></ssc:loadscript>
<ssc:insert page="/WEB-INF/layouts/default-html5/core/javascriptVariables.jsp"/>
<c:if test="${settings.map.advancedSearchEnableFacetedSearch eq '1'}">
	<ssc:loadscript name="facetedSearchWidget"><script type="text/javascript" src="${pageContext.request.contextPath}/js/softslate/facetedSearchWidget.js"></script></ssc:loadscript>
</c:if>
<c:if test="${settings.map.advancedSearchEnableSuggestions eq '1'}">
	<link rel="stylesheet" href="${pageContext.request.contextPath}/css/base-html5/typeahead.css" />
	<link rel="stylesheet" href="${pageContext.request.contextPath}/css/custom/typeahead-custom.css" />
	<ssc:loadscript name="handlebars"><script type="text/javascript" src="${pageContext.request.contextPath}/js/vendor/handlebars.js"></script></ssc:loadscript>
	<ssc:loadscript name="typeahead"><script type="text/javascript" src="${pageContext.request.contextPath}/js/vendor/typeahead.bundle.min.js"></script></ssc:loadscript>
	<ssc:loadscript name="searchSuggestions"><script type="text/javascript" src="${pageContext.request.contextPath}/js/softslate/suggestions.js"></script></ssc:loadscript>
</c:if>
<c:if test="${ (pageTitleKey eq 'page.accountAddresses' or pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutCombo') and settings.map.allowAddressBook eq '1' and !empty user.customer}">
	<ssc:insert page="/WEB-INF/layouts/default/customer/addressBookHeader.jsp"/>
</c:if>
<c:if test="${settings.map.useAjaxOnePageCheckout eq '1' and (pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutCombo')}">
	<ssc:loadscript name="jquery-ui"><script type="text/javascript" src="${pageContext.request.contextPath}/js/jquery/jquery-ui.min.js"></script></ssc:loadscript>
	<ssc:loadscript name="jquery-ui-css"><link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/js/jquery/jquery-ui.min.css" /></ssc:loadscript>
	<ssc:loadscript name="onepagecheckout"><script type="text/javascript" src="${settings.map.customerSecureURL}/js/softslate/onePageCheckout.js"></script></ssc:loadscript>
</c:if>
<c:if test="${pageTitleKey eq 'page.checkoutPayment' or pageTitleKey eq 'page.checkoutCombo' or pageTitleKey eq 'page.checkoutConfirm'}">
	<ssc:loadscript name="submitOnce"><script type="text/javascript" src="${settings.map.customerSecureURL}/js/softslate/submitOnce.js"></script></ssc:loadscript>
</c:if>
${htmlHeadString}
<!-- End ${pageScope.sscCurrentPage} -->
