<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<c:set var="order" value="${requestScope.user.order}"/>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>
			 <bean:message key="giftCertificate.heading" bundle="/order" /> ${settings.map.storeName}
		</title>
	</head>
	<body class="onecol" style="margin:0; padding:0; font-family: Arial, sans-serif; font-size: 12px; text-align: center; color: #333; background: #fff;">
		<div id="slate" style="margin: 0; padding: 0; background: #fff;">
			<div id="wrapper" class="clearit" style="position: relative; margin:0 auto; padding: 1em 0 0 0; width: 80%; min-width: 600px; text-align: left;">
				<div id="main" class="clearit">
					<div id="content" style="margin: 0 0 1em 0px; padding: 0;">
						<logic:iterate name="item" property="discounts" id="giftCertificate">
							<div class="giftCertificate" style="border: 10px ridge #555; padding: 20px; margin: 20px 0; page-break-after: always">
								<h1 style="margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; text-align: center"><bean:message key="giftCertificate.heading" bundle="/order" /> - ${settings.map.storeName}</h1>
								<c:if test="${!empty requestScope.attributeMap.GiftCertificateMessageTo}">
							  		<p><strong class="label"><bean:message key="general.to" />:</strong>
							  		${fn:escapeXml(requestScope.attributeMap.GiftCertificateMessageTo.attributeValue)}</p>
							  	</c:if>
								<c:if test="${!empty requestScope.attributeMap.GiftCertificateMessageFrom}">
							  		<p><strong class="label"><bean:message key="general.from" />:</strong>
							  		${fn:escapeXml(requestScope.attributeMap.GiftCertificateMessageFrom.attributeValue)}</p>
							  	</c:if>
						  		<p>
							  		<strong class="label"><bean:message key="giftCertificate.amount" bundle="/order" />:</strong>
									<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${requestScope.giftCertificateAmountAttribute.total}" />
							  	</p>
						  		<p>
							  		<strong class="label"><bean:message key="giftCertificate.code" bundle="/order" />:</strong>
							  		${giftCertificate.couponCode}
							  	</p>
								<c:if test="${!empty giftCertificate.expirationDate}">
					  				<p>
								  		<strong class="label"><bean:message key="giftCertificate.expirationDate" bundle="/order" />:</strong>
										<fmt:parseDate value="${giftCertificate.expirationDate}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US" />
										<fmt:formatDate value="${parsed}" type="date" />
						  			</p>
							  	</c:if>
								<p>
								  <bean:message key="giftCertificate.note" bundle="/order" />
								  <a href="${settings.map.customerURL}">${settings.map.customerURL}</a>
								</p>
								<c:if test="${!empty requestScope.attributeMap.GiftCertificateMessage}">
									<p>
									  <strong class="label"><bean:message key="giftCertificate.message" bundle="/order" />:</strong><br />
									  ${fn:escapeXml(requestScope.attributeMap.GiftCertificateMessage.attributeValue)}
									</p>
								</c:if>
							</div>
						</logic:iterate>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
