<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<div id="purchaseOrderPaymentForm" class="paymentInformation panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="paymentForms.purchaseOrderHeading" bundle="/order" /></h3>
	</div>
	<div class="panel-body">
		<div class="form-group">
			<label for="purchaseOrderNumber" class="requiredLabel col-sm-3"><bean:message key="paymentForms.purchaseOrderNumber" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:text styleId="purchaseOrderNumber" styleClass="textbox form-control" name="${thisForm}" property="purchaseOrderNumber" maxlength="50" />
			</div>
		</div>
		<div class="form-group">
			<label for="purchaseOrderNotes" class="requiredLabel col-sm-3"><bean:message key="paymentForms.purchaseOrderNotes" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:text styleId="purchaseOrderNotes" styleClass="textbox form-control" name="${thisForm}" property="purchaseOrderNotes" maxlength="255" />
			</div>
		</div>
		<logic:notPresent name="suppressSubmitButton">
			<div id="purchaseOrderPaymentButton" class="paymentButton text-center">
				<c:if test="${displayCheckoutConfirm eq '0'}">
					<input id="basicPaymentSubmit" type="submit" class="submitOnceButton btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
				</c:if>
				<c:if test="${displayCheckoutConfirm eq '1'}">
					<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
				</c:if>
			</div>
		</logic:notPresent>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
