package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormGeneralDisplay extends BaseDynaForm {
	private static final long serialVersionUID = 3688791366641725491L;

	static Log log = LogFactory.getLog(SettingsFormGeneralDisplay.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (get("fontFamily").equals("Other")) {
			set("fontFamily", get("otherFontFamily"));
		}
		return getErrors();
	}

}
