package com.softslate.commerce.businessobjects.payment.paypoint;

import com.softslate.commerce.businessobjects.payment.BasePaymentProcessor;
import com.softslate.commerce.businessobjects.payment.PaymentProcessor;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Jason McWilliams
 * 
 */
public class PaypointProcessor extends BasePaymentProcessor implements
		PaymentProcessor {

	static Log log = LogFactory.getLog(PaypointProcessor.class);

	public Map process(Map parameters) throws Exception {
		log.info("Processing payment.");

		// In the case of Paypoint, we return a 301 code back to the
		// CheckoutAction to force a forward to our JSP that
		// will redirect to Paypoint web site for SecPage
		Map result = new HashMap();
		result.put("resultCode", "301");
		return result;

	}
}
