<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsCardInfoCleanUpJob.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings control the scheduled Card Info Clean Up Job.
</div>

<br/>

<html:form action="/SettingsProcessCardInfoCleanUpJob" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="CardInfoCleanUpJob">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
		<logic:present role="superuser,administrator,runAllJobs,runCardInfoCleanUpJob">
			<tr class="<c:out value="${requestScope.thisClass}"/>">
				<td class="setting">Run Job:</td>
				<td class="value"><a href="RunQuartzCardInfoCleanUpJob.do" class="button">Run Job Now</a> (must be turned "on" above).</td>
			</tr>
		</logic:present>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsCardInfoCleanUpJobEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
<!-- End settingsCardInfoCleanUpJob.jsp -->
