<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start customerAddressFormGuts.jsp -->
<html:hidden name="customerAddressAddEditForm" property="customerID"/>
<logic:notEmpty name="customerAddressAddEditForm" property="parentName">
	<html:hidden name="customerAddressAddEditForm" property="parentName"/>
</logic:notEmpty>
<tr class="row">
	<td class="property setting">Status:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="status" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">First Name:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="firstName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Last Name:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="lastName" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Organization:</td>
	<td>
			<html:text name="customerAddressAddEditForm" property="organization" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Address 1:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="address1" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Address 2:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="address2" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">City:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="city" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">State:</td>
	<td class="value">
		<html:select name="customerAddressAddEditForm" property="state">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="states" property="code" labelProperty="name"/>
		</html:select>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Postal Code:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="postalCode" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Country:</td>
	<td class="value">
		<html:select name="customerAddressAddEditForm" property="country">
			<option value="">Select</option>
			<option value="">-------------</option>
			<html:options collection="countries" property="code" labelProperty="name"/>
		</html:select>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Phone 1:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="phone1" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Phone 2:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="phone2" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Email 1:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="email1" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Email 2:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="email2" maxlength="100" styleClass="length100"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Default?:</td>
	<td class="value">
		<html:radio name="customerAddressAddEditForm" property="isDefault" value="true" styleId="isDefault-true" styleClass="radiobtn"/> <label for="isDefault-true">yes</label>
		<html:radio name="customerAddressAddEditForm" property="isDefault" value="false" styleId="isDefault-false" styleClass="radiobtn"/> <label for="isDefault-false">no</label>
		<div class="fieldDescription">If true, this will be used as the customer default address.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Payment Token:</td>
	<td class="value">
		<html:text styleClass="textbox" name="customerAddressAddEditForm" property="paymentToken"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Credit Card Name:</td>
	<td class="value">
		<html:text styleClass="textbox" name="customerAddressAddEditForm" property="creditCardName"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Credit Card Type:</td>
	<td class="value">
		<html:text styleClass="textbox" name="customerAddressAddEditForm" property="creditCardType"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Credit Card Date:</td>
	<td class="value">
		<html:text styleClass="textbox" name="customerAddressAddEditForm" property="creditCardDate"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Credit Card Number Display:</td>
	<td class="value">
		<html:text styleClass="textbox" name="customerAddressAddEditForm" property="creditCardNumberDisplay"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Billing?:</td>
	<td class="value">
		<html:radio name="customerAddressAddEditForm" property="isBilling" value="true" styleId="isBilling-true" styleClass="radiobtn"/> <label for="isBilling-true">yes</label>
		<html:radio name="customerAddressAddEditForm" property="isBilling" value="false" styleId="isBilling-false" styleClass="radiobtn"/> <label for="isBilling-false">no</label>
		<div class="fieldDescription">If true, this will be used as a billing address.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Extra 1:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="extra1" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Extra 2:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="extra2" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Extra 3:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="extra3" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Extra 4:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="extra4" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Extra 5:</td>
	<td class="value">
		<html:text name="customerAddressAddEditForm" property="extra5" maxlength="255" styleClass="textbox"/>
	</td>
</tr>
<tr class="row">
	<td class="property setting">Notes:</td>
	<td class="value">
		<html:textarea rows="10" name="customerAddressAddEditForm" property="notes"/>
	</td>
</tr>
<tr class="altRow">
	<td class="property setting">Identifier:</td>
	<td class="value">
		<html:text styleClass="textbox" name="customerAddressAddEditForm" property="identifier"/>
	</td>
</tr>
<!-- End customerAddressFormGuts.jsp -->
