<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderItemAttributeFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'orderItemAttributeID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'total'
										or field eq 'attributeUnitPrice'
										or field eq 'attributeAltPrice'
										or field eq 'attributeUnitCost'
										or field eq 'optionUnitPrice'
										or field eq 'optionAltPrice'
										or field eq 'optionUnitCost'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}"><c:out value="${item[field]}"/></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'weight'
										or field eq 'attributeWeight'
										or field eq 'optionWeight'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<fmt:formatNumber type="number"><c:out value="${item[field]}"/></fmt:formatNumber>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End orderItemAttributeFieldColumns.jsp -->
