<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderShippingRuleFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'orderShippingRuleID'}">
							<c:out value="${item[field]}" />
						</c:when>
						<c:when test="${field eq 'orderItemID'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
							<c:out value="${item[field]}" />
						</c:when>
						<c:when test="${field eq 'ruleType'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item.ruleType eq '[package]'}">
									Package
								</c:when>
								<c:when test="${item.ruleType eq '[discount]'}">
									Discount
								</c:when>
								<c:when test="${item.ruleType eq '[methodlimit]'}">
									Method Limit
								</c:when>
								<c:when test="${item.ruleType eq '[limitByLocation]'}">
									Method Limit by Location
								</c:when>
								<c:otherwise>
									<c:out value="${item.ruleType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
					<c:choose>
						<c:when test="${field eq 'ruleType'}">
							<c:choose>
								<c:when test="${item.ruleType eq '[package]'}">
									Package
								</c:when>
								<c:when test="${item.ruleType eq '[discount]'}">
									Discount
								</c:when>
								<c:when test="${item.ruleType eq '[methodlimit]'}">
									Method Limit
								</c:when>
								<c:when test="${item.ruleType eq '[limitByLocation]'}">
									Method Limit by Location
								</c:when>
								<c:otherwise>
									<c:out value="${item.ruleType}"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End orderShippingRuleFieldColumns.jsp -->
