<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<script language="JavaScript" type="text/javascript">
	<!--
		function setValues() {
			document.forms.taxSettingsForm.activeTaxProcessors.value = '';
		    if (document.forms.taxSettingsForm.BasicTaxProcessor.checked) {
		    	if (document.forms.taxSettingsForm.activeTaxProcessors.value != '') {
			        document.forms.taxSettingsForm.activeTaxProcessors.value += ',';
			    }
			    document.forms.taxSettingsForm.activeTaxProcessors.value += 
			    	'com.softslate.commerce.businessobjects.tax.BasicTaxProcessor';
			}
			
		    if (document.forms.taxSettingsForm.AvaTaxProcessor.checked) {
		    	if (document.forms.taxSettingsForm.activeTaxProcessors.value != '') {
			        document.forms.taxSettingsForm.activeTaxProcessors.value += ',';
			    }
			    document.forms.taxSettingsForm.activeTaxProcessors.value += 
			    	'com.softslate.commerce.businessobjects.tax.AvaTaxProcessor';
			}
			//alert(document.forms.taxSettingsForm.activeTaxProcessors.value);
		}
	//-->
</script>
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activeTaxProcessors = appComponents.getProperty("activeTaxProcessors");
	pageContext.setAttribute("activeTaxProcessors", activeTaxProcessors);
%>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<html:form action="/TaxSettingsProcess" method="post">
	<input type="hidden" name="activeTaxProcessors" value="<c:out value="${ activeTaxProcessors}"/>"/>

	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<c:choose>
			<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
			<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
		</c:choose>
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting">Active Tax Components:</td>
			<td class="value">
				
				<%-- Basic tax processor. --%>
				<logic:match name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.BasicTaxProcessor">
					<input type="checkbox" id="BasicTaxProcessor" name="BasicTaxProcessor" value="1" checked="checked" onclick="javascript:setValues()"/>
				</logic:match>
				<logic:notMatch name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.BasicTaxProcessor">
					<input type="checkbox" id="BasicTaxProcessor" name="BasicTaxProcessor" value="1" onclick="javascript:setValues()"/>
				</logic:notMatch>
				&nbsp;
				<label for="BasicTaxProcessor">Basic Tax Rates<br />Computes taxes based on the Basic Tax Rates defined for the customer's country, state, postal code, or city.</label>
				<br/><br/>
				
				<%-- AvaTax processor. --%>
				<logic:match name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.AvaTaxProcessor">
					<input type="checkbox" id="AvaTaxProcessor" name="AvaTaxProcessor" value="1" checked="checked" onclick="javascript:setValues()"/>
				</logic:match>
				<logic:notMatch name="activeTaxProcessors" value="com.softslate.commerce.businessobjects.tax.AvaTaxProcessor">
					<input type="checkbox" id="AvaTaxProcessor" name="AvaTaxProcessor" value="1" onclick="javascript:setValues()"/>
				</logic:notMatch>
				&nbsp;
				<label for="AvaTaxProcessor">AvaTax Processor<br />Computes taxes by connecting in real time to the AvaTax tax calcuation service.</label>
				<br/><br/>
				<ul class="notesList">
					<%
						java.util.Properties appSettings = (java.util.Properties) application.getAttribute("appSettings");
						request.setAttribute("disableComponentUpdatesFromAdministrator", appSettings.getProperty("disableComponentUpdatesFromAdministrator"));
					%>
					<c:choose>
						<c:when test="${!empty disableComponentUpdatesFromAdministrator and disableComponentUpdatesFromAdministrator ne '0'}">
							<div class="warning">
								These checkboxes are disabled due to the appSettings' disableComponentUpdatesFromAdministrator property. To change these
								components, do so by modifying the /WEB-INF/classes/appComponents-custom.properties file directly. 
							</div>
							<br/>
						</c:when>
						<c:otherwise>
							<li class="important">
								Changing this field will update the /WEB-INF/classes/appComponents-custom.properties file. 
								The application server must have writable permission for that file.
								If you are running this application in a clustered environment, change this file manually on each server, instead of using this screen.
								Please be aware some application servers are configured to reload the application when a file under /WEB-INF/classes changes.
							</li>
						</c:otherwise>
					</c:choose>
				</ul>
			 </td>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="TAXES">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${settingRow.code eq 'statesWhereShippingIsTaxable'}">
						<c:set var="statesWhereShippingIsTaxable" value="${settings.map.statesWhereShippingIsTaxable}"/>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input style="margin: 4px;" type="checkbox" id="statesWhereShippingIsTaxableAll" onclick="if (this.checked) { $('input.statesWhereShippingIsTaxable:checkbox').prop('checked', true) } else { $('input.statesWhereShippingIsTaxable:checkbox').prop('checked', false) }" value="">Select/Deselect All</input>
								<br/>
								<logic:iterate name="states" id="state">
									<c:set var="stateCode" value="${state.code}"/>
									<c:set var="stateName" value="${state.name}"/>
									<c:if test="${stateCode ne 'Other'}">
										<c:choose>
											<c:when test="${fn:contains(statesWhereShippingIsTaxable, stateCode)}">
												<input class="statesWhereShippingIsTaxable" style="margin: 4px;" type="checkbox" name="statesWhereShippingIsTaxableArray" value="${stateCode}" checked="checked"/><c:out value="${stateName}"/>&nbsp;
											</c:when>
											<c:otherwise>
												<input class="statesWhereShippingIsTaxable" style="margin: 4px;" type="checkbox" name="statesWhereShippingIsTaxableArray" value="${stateCode}"/><c:out value="${stateName}"/>&nbsp;
											</c:otherwise>
										</c:choose>
									</c:if>
								</logic:iterate>
								<br/>
								<br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,taxEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
